# Uses of Class
org.snpeff.interval.Exon

Packages that use Exon
Package
Description
org.snpeff.interval
org.snpeff.interval.codonChange
org.snpeff.snpEffect
org.snpeff.snpEffect.factory
org.snpeff.stats
org.snpeff.svg

## Uses of Exon in org.snpeff.interval

Subclasses with type arguments of type Exon in org.snpeff.interval
Modifier and Type
Class
Description
`class`
`Transcript`
Interval for a transcript, as well as some other information: exons, utrs, cds, etc.
Methods in org.snpeff.interval that return Exon
Modifier and Type
Method
Description
`Exon`
Exon.`apply(Variant variant)`
Apply variant to exon WARNING: There might be conditions which change the exon type (e.g.
`Exon`
Exon.`cloneShallow()`
`Exon`
Transcript.`findExon(int pos)`
Return the an exon that intersects 'pos'
`Exon`
Transcript.`findExon(Marker marker)`
Return an exon intersecting 'marker' (first exon found)
`Exon`
Intron.`getExonAfter()`
`Exon`
Intron.`getExonBefore()`
`Exon`
Transcript.`getFirstCodingExon()`
Get first coding exon
`Exon`
Transcript.`queryExon(Marker interval)`
Return the first exon that intersects 'interval' (null if not found)
Methods in org.snpeff.interval that return types with arguments of type Exon
Modifier and Type
Method
Description
`Collection<Exon>`
Transcript.`getExons()`
A more intuitive name for 'subintervals'
Methods in org.snpeff.interval with parameters of type Exon
Modifier and Type
Method
Description
`Cds`
Transcript.`findCds(Exon exon)`
Find a CDS that matches exactly the exon
Constructors in org.snpeff.interval with parameters of type Exon
Modifier
Constructor
Description
``
`Intron(Transcript parent, int start, int end, boolean strandMinus, String id, Exon exonBefore, Exon exonAfter)`
``
`SpliceSite(Exon parent, int start, int end, boolean strandMinus, String id)`
``
`SpliceSiteRegion(Exon parent, int start, int end, boolean strandMinus, String id)`
``
`Utr(Exon parent, int start, int end, boolean strandMinus, String id)`
``
`Utr3prime(Exon parent, int start, int end, boolean strandMinus, String id)`
``
`Utr5prime(Exon parent, int start, int end, boolean strandMinus, String id)`

## Uses of Exon in org.snpeff.interval.codonChange

Methods in org.snpeff.interval.codonChange with parameters of type Exon
Modifier and Type
Method
Description
`protected boolean`
CodonChange.`codonChange(Exon exon)`
Calculate the effect on an exon
`protected boolean`
CodonChangeDel.`codonChange(Exon exon)`
Analyze deletions in this transcript.
`protected boolean`
CodonChangeIns.`codonChange(Exon exon)`
Analyze insertions in this transcript.
`protected boolean`
CodonChangeInterval.`codonChange(Exon exon)`
Interval is not a variant, nothing to do
`protected boolean`
CodonChangeSnp.`codonChange(Exon exon)`
Analyze SNPs in this transcript.

## Uses of Exon in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect that return Exon
Modifier and Type
Method
Description
`Exon`
VariantEffect.`getExon()`
Get exon (if any)

## Uses of Exon in org.snpeff.snpEffect.factory

Methods in org.snpeff.snpEffect.factory that return Exon
Modifier and Type
Method
Description
`protected Exon`
SnpEffPredictorFactory.`add(Exon exon)`
Add an exon
`protected Exon`
SnpEffPredictorFactoryGff.`addExon(Transcript tr, GffMarker gffMarker, String exonId)`
Create a new exon
`protected Exon`
SnpEffPredictorFactoryGff.`findOrCreateExon(String parentId, GffMarker gffMarker)`
Find an exon for a given parentId
Methods in org.snpeff.snpEffect.factory that return types with arguments of type Exon
Modifier and Type
Method
Description
`protected List<Exon>`
SnpEffPredictorFactoryGff.`addExons(GffMarker gffMarker)`
Create and add a new exon
Methods in org.snpeff.snpEffect.factory with parameters of type Exon
Modifier and Type
Method
Description
`protected Exon`
SnpEffPredictorFactory.`add(Exon exon)`
Add an exon

## Uses of Exon in org.snpeff.stats

Methods in org.snpeff.stats with parameters of type Exon
Modifier and Type
Method
Description
`double`
ObservedOverExpected.`expected(Exon e)`
Expected number of sequences (average between plus and minus strand)
`int`
ObservedOverExpected.`observed(Exon e)`
Observed sequence (average between plus and minus strand)
`double`
ObservedOverExpected.`oe(Exon e)`
Observed over expected ratio

## Uses of Exon in org.snpeff.svg

Constructors in org.snpeff.svg with parameters of type Exon
Modifier
Constructor
Description
``
`SvgExon(Exon ex, Svg svg)`